Summary:	Menu editor for the GNOME desktop
Summary(pl.UTF-8):	Edytor menu dla GNOME
Name:		alacarte
Version:	3.42.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/alacarte/3.42/%{name}-%{version}.tar.xz
# Source0-md5:	d33d6689bd670f16c1fafd1774b369e9
URL:		https://gitlab.gnome.org/GNOME/alacarte
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.7
BuildRequires:	gettext-tools
BuildRequires:	gnome-menus-devel >= 3.5.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-pygobject3-devel >= 3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme >= 0.10-3
Requires:	gnome-menus >= 3.5.3
Requires:	gtk+3 >= 3.0
Requires:	python-pygobject3 >= 3.0
# for help
Suggests:	gnome-user-docs >= 3.36
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alacarte is a simple freedesktop.org compliant menu editor for GNOME
that lets you change your menus, simply and quickly.

%description -l pl.UTF-8
Alacarte jest prostym, zgodnym z freedesktop.org edytorem menu dla
GNOME pozwalającym w szybki i łatwy sposób dostosować menu do własnych
potrzeb.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/io

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/alacarte
%{py3_sitescriptdir}/Alacarte
%{_datadir}/alacarte
%{_desktopdir}/alacarte.desktop
%{_iconsdir}/hicolor/*x*/apps/alacarte.png
%{_mandir}/man1/alacarte.1*
%changelog
* Tue Nov 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/alacarte.git;a=log;h=master

* Tue Nov 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 3f6c81c
- updated to 3.42.0

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> ec5a3f0
- noarch package
- rel 2

* Wed Apr 15 2020 Jakub Bogusz <qboosh@pld-linux.org> a2b4355
- updated to 3.36.0 (for GNOME 3, python3 based now)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c805db4
- updated gettext BR

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 0c70c5b
- bem locale is supported now (since glibc 2.18-3)

* Fri Mar 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 912fca8
- en@shaw locale is now supported (via LANGUAGE)

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> caea3e8
- Requires(post,postun): gtk-update-icon-cache

* Thu Nov 18 2010 Szymon Siwek <sls@pld-linux.org> 3ce794c
- ver. 0.13.2

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 272a629
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 94c49ba
- release 2

* Thu Apr 01 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8ddf122
- updated to 0.13.1

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> f2b60d4
- updated to 0.12.4

* Thu May 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 38e7d74
- removed unsupported bem locale
- release 2

* Thu May 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9e7f2c0
- updated to 0.12.1

* Tue Apr 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 1bbe843
- hicolor-icon-theme already supports 256x256 icons

* Tue Mar 17 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6402dee
- updated to 0.11.10
- R: python-pygobject >= 2.16.0 (for GIO module)

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 924c5a7
- release 2

* Wed Nov 05 2008 Szymon Siwek <sls@pld-linux.org> df4bacf
- BR: rpm-pythonprov

* Sat Oct 04 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 2ac0aee
- updated to 0.11.6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 32ad8c7
- release 2

